CheckBox Control (Lightweight)

The windowless CheckBox control is a lightweight version of the Visual Basic intrinsic CheckBox control. A CheckBox control can display one of three values: checked, unchecked, or grayed (indeterminate).

Syntax

WLCheck

Remarks

The distinguishing characteristic of a lightweight control is its lack of an hWnd property. If your application does not use APIs that require the hWnd, the lightweight version of this control will conserve computer resources and allow you to create applications that load faster.

Lightweight controls do not support Dynamic Data Exchange (DDE). In all other respects, the lightweight control retains the same behavior as the standard version.

Distribution Note This control is part of a group of ActiveX controls that are found in the MSWLess.ocx. To use the this control in your application, you must add the MSWLess.ocx file to the project. When distributing your application, install the MSWLess.ocx file in the user's Microsoft Windows System or System32 directory. For more information on how to add an ActiveX control to a Visual Basic project, see "Standard ActiveX Controls."

Note This control is Unicode-enabled. When used on a Unicode-enabled system such as Microsoft Windows NT, the control passes Unicode data with no conversion. On other systems, however, data is converted from ANSI to Unicode and back. For more information, see "ANSI, DBCS, and Unicode: Definitions" in the Programmer's Guide.


ComboBox Control (Lightweight)

The windowless ComboBox control is a lightweight version of the Visual Basic intrinsic ComboBox control. A ComboBox control combines the features of a TextBox control and a ListBox control—users can enter information in the text box portion or select an item from the list box portion of the control.

Syntax

WLCombo

Remarks

The distinguishing characteristic of a lightweight control is its lack of an hWnd property. If your application does not use APIs that require the hWnd, the lightweight version of this control will conserve computer resources and allow you to create applications that load faster.

Lightweight controls do not support Dynamic Data Exchange (DDE). In all other respects, the lightweight control retains the same behavior as the standard version.

Distribution Note This control is part of a group of ActiveX controls that are found in the MSWLess.ocx. To use the this control in your application, you must add the MSWLess.ocx file to the project. When distributing your application, install the MSWLess.ocx file in the user's Microsoft Windows System or System32 directory. For more information on how to add an ActiveX control to a Visual Basic project, see "Standard ActiveX Controls."

Note This control is Unicode-enabled. When used on a Unicode-enabled system such as Microsoft Windows NT, the control passes Unicode data with no conversion. On other systems, however, data is converted from ANSI to Unicode and back. For more information, see "ANSI, DBCS, and Unicode: Definitions" in the Programmer's Guide.


CommandButton Control (Lightweight)

The windowless CommandButton control is a lightweight version of the Visual Basic intrinsic CommandButton control. Use a CommandButton control to begin, interrupt, or end a process.

Syntax

WLCommand

Remarks

The distinguishing characteristic of a lightweight control is its lack of an hWnd property. If your application does not use APIs that require the hWnd, the lightweight version of this control will conserve computer resources and allow you to create applications that load faster.

Lightweight controls do not support Dynamic Data Exchange (DDE). In all other respects, the lightweight control retains the same behavior as the standard version.

Distribution Note This control is part of a group of ActiveX controls that are found in the MSWLess.ocx. To use the this control in your application, you must add the MSWLess.ocx file to the project. When distributing your application, install the MSWLess.ocx file in the user's Microsoft Windows System or System32 directory. For more information on how to add an ActiveX control to a Visual Basic project, see "Standard ActiveX Controls."

Note This control is Unicode-enabled. When used on a Unicode-enabled system such as Microsoft Windows NT, the control passes Unicode data with no conversion. On other systems, however, data is converted from ANSI to Unicode and back. For more information, see "ANSI, DBCS, and Unicode: Definitions" in the Programmer's Guide.


Frame Control (Lightweight)

The windowless Frame control is a lightweight version of the Visual Basic intrinsic Frame control.

Important Unlike the intrinsic Frame control, the lightweight Frame control is not a true container. Instead, it functions only as a visual container of other lightweight controls. To group lightweight OptionButton controls, use the Group property.

Syntax

WLFrame

Remarks

The distinguishing characteristic of a lightweight control is its lack of an hWnd property. If your application does not use APIs that require the hWnd, the lightweight version of this control will conserve computer resources and allow you to create applications that load faster.

Lightweight controls do not support Dynamic Data Exchange (DDE). (The lightweight Frame control also cannot contain other controls, as can its intrinsic counterpart). In all other respects, the lightweight control retains the same behavior as the standard version.

Distribution Note This control is part of a group of ActiveX controls that are found in the MSWLess.ocx. To use the this control in your application, you must add the MSWLess.ocx file to the project. When distributing your application, install the MSWLess.ocx file in the user's Microsoft Windows System or System32 directory. For more information on how to add an ActiveX control to a Visual Basic project, see "Standard ActiveX Controls."

Note This control is Unicode-enabled. When used on a Unicode-enabled system such as Microsoft Windows NT, the control passes Unicode data with no conversion. On other systems, however, data is converted from ANSI to Unicode and back. For more information, see "ANSI, DBCS, and Unicode: Definitions" in the Programmer's Guide.


HScrollBar, VScrollBar Controls (Lightweight)

The windowless HScrollBar, and VScrollBar controls are lightweight versions of the Visual Basic intrinsic HScrollBar and VScrollBar controls.

Syntax

WLHScroll

WLVScroll

Remarks

The distinguishing characteristic of a lightweight control is its lack of an hWnd property. If your application does not use APIs that require the hWnd, the lightweight version of this control will conserve computer resources and allow you to create applications that load faster.

Lightweight controls do not support Dynamic Data Exchange (DDE). In all other respects, the lightweight control retains the same behavior as the standard version.

Distribution Note This control is part of a group of ActiveX controls that are found in the MSWLess.ocx. To use the this control in your application, you must add the MSWLess.ocx file to the project. When distributing your application, install the MSWLess.ocx file in the user's Microsoft Windows System or System32 directory. For more information on how to add an ActiveX control to a Visual Basic project, see "Standard ActiveX Controls."

Note This control is Unicode-enabled. When used on a Unicode-enabled system such as Microsoft Windows NT, the control passes Unicode data with no conversion. On other systems, however, data is converted from ANSI to Unicode and back. For more information, see "ANSI, DBCS, and Unicode: Definitions" in the Programmer's Guide.


ListBox Control (Lightweight)

The windowless ListBox control is a lightweight version of the Visual Basic intrinsic ListBox control. A ListBox control displays a list of items from which the user can select one or more. If the number of items exceeds the number that can be displayed, a scroll bar is automatically added to the ListBox control.

Syntax

WLList

Remarks

The distinguishing characteristic of a lightweight control is its lack of an hWnd property. If your application does not use APIs that require the hWnd, the lightweight version of this control will conserve computer resources and allow you to create applications that load faster.

Lightweight controls do not support Dynamic Data Exchange (DDE). In all other respects, the lightweight control retains the same behavior as the standard version.

Distribution Note This control is part of a group of ActiveX controls that are found in the MSWLess.ocx. To use the this control in your application, you must add the MSWLess.ocx file to the project. When distributing your application, install the MSWLess.ocx file in the user's Microsoft Windows System or System32 directory. For more information on how to add an ActiveX control to a Visual Basic project, see "Standard ActiveX Controls."

Note This control is Unicode-enabled. When used on a Unicode-enabled system such as Microsoft Windows NT, the control passes Unicode data with no conversion. On other systems, however, data is converted from ANSI to Unicode and back. For more information, see "ANSI, DBCS, and Unicode: Definitions" in the Programmer's Guide.


OptionButton Control (Lightweight)

The windowless OptionButton control is a lightweight version of the Visual Basic intrinsic OptionButton control. An OptionButton control is often used to represent an option that can be turned on or off; the controls is frequently used with a Frame control.

Important Because the lightweight Frame control is not a true container, you must use the Group property to create logical groupings of OptionButton controls.

Syntax

WLOption

Remarks

The distinguishing characteristic of a lightweight control is its lack of an hWnd property. If your application does not use APIs that require the hWnd, the lightweight version of this control will conserve computer resources and allow you to create applications that load faster.

Lightweight controls do not support Dynamic Data Exchange (DDE). In all respects except one, the windowless OptionButton control retains the same behavior as the standard version. The one exception lies in the control's use of the Group property to create mutually exclusive groups of OptionButton controls. See "Group Property" for more information.

Distribution Note This control is part of a group of ActiveX controls that are found in the MSWLess.ocx. To use the this control in your application, you must add the MSWLess.ocx file to the project. When distributing your application, install the MSWLess.ocx file in the user's Microsoft Windows System or System32 directory. For more information on how to add an ActiveX control to a Visual Basic project, see "Standard ActiveX Controls."

Note This control is Unicode-enabled. When used on a Unicode-enabled system such as Microsoft Windows NT, the control passes Unicode data with no conversion. On other systems, however, data is converted from ANSI to Unicode and back. For more information, see "ANSI, DBCS, and Unicode: Definitions" in the Programmer's Guide.


TextBox Control (Lightweight)

The windowless TextBox control is a lightweight version of the Visual Basic intrinsic TextBox control. A TextBox control, sometimes called an edit field or edit control, displays information entered at design time, entered by the user, or assigned to the control in code at run time.

Syntax

WLText

Remarks

The distinguishing characteristic of a lightweight control is its lack of an hWnd property. If your application does not use APIs that require the hWnd, the lightweight version of this control will conserve computer resources and allow you to create applications that load faster.

Lightweight controls do not support Dynamic Data Exchange (DDE). In all other respects, the lightweight control retains the same behavior as the standard version.

Distribution Note This control is part of a group of ActiveX controls that are found in the MSWLess.ocx. To use the this control in your application, you must add the MSWLess.ocx file to the project. When distributing your application, install the MSWLess.ocx file in the user's Microsoft Windows System or System32 directory. For more information on how to add an ActiveX control to a Visual Basic project, see "Standard ActiveX Controls."

Note This control is Unicode-enabled. When used on a Unicode-enabled system such as Microsoft Windows NT, the control passes Unicode data with no conversion. On other systems, however, data is converted from ANSI to Unicode and back. For more information, see "ANSI, DBCS, and Unicode: Definitions" in the Programmer's Guide.


Topic Not Found

No matching topic was found. Some possible reasons and remedies are as follows:

  • The file (.chm) that contains the destination topic is not in the expected location.

    Remedy: Rerun the MSDN Library Setup.

  • The file (.chm) that contains the current topic or destination topic is out-of-date and the link is no longer valid.

    Remedy: Install the latest version of the MSDN Library.

  • The MSDN Library CD is not in the CD-ROM drive.

    Remedy: Insert the MSDN Library CD into the CD-ROM drive.


Group Property

Returns or sets the group identifier of a windowless OptionButton control.

Syntax

object.Group [ = string]

The Group property syntax has these parts:

Part | Description
object | An object expression that evaluates to an object in the Applies To list.
string | A unique string that identifies the members of an OptionButton group.

Remarks

It is standard practice to segregate a group of OptionButton controls by placing them in a Frame control because the Frame control has a window (hWnd property). However, by definition, lightweight controls have no window. To segregate a group of OptionButton controls, set the Group property of a set of controls to the same unique string.


Group Property Example

The following example creates three sets of lightweight OptionButton controls. To try the example, place six OptionButton controls on a form. Paste the code into the Declarations section of the code module, and start the project.

Option Explicit

Private Sub Form_Load()
   Dim i As Integer
   For i = 0 To 5
      Select Case i
         Case 0 To 1
            Me.Controls(i).Group = "Fish"
            Me.Controls(i).Caption = "Fish " & i
         Case 2 To 3
            Me.Controls(i).Group = "Fowl"
            Me.Controls(i).Caption = "Fowl " & i
         Case 4 To 5
            Me.Controls(i).Group = "Dinosaur"
            Me.Controls(i).Caption = "Dinosaur " & i
      End Select
   Next i
End Sub